import jingrow


def execute():
	jingrow.reload_pg("core", "pagetype", "pagetype_link")
	jingrow.reload_pg("core", "pagetype", "pagetype_action")
	jingrow.reload_pg("core", "pagetype", "pagetype")
	jingrow.model.delete_fields({"PageType": ["hide_heading", "image_view", "read_only_onload"]}, delete=1)

	jingrow.db.delete("Property Setter", {"property": "read_only_onload"})
